import { Component, OnInit, ViewChild } from '@angular/core';
import { AccountComponent } from '../account/account.component';
import { AccountService } from '../data-object-service';
import { Account } from '../data-objects';
import { ExtApiService } from '../ext-data-object-service';
import { MessageService } from '../message.service';

@Component({
  selector: 'app-ledger',
  templateUrl: './ledger.component.html',
  styleUrls: ['./ledger.component.css']
})
export class LedgerComponent implements OnInit {

  accounts: Account[]
  accountId: number


  @ViewChild('accountComponent') accountComponent: AccountComponent
  

  constructor(
    private accountService: AccountService,
    private messageService: MessageService
  ) { }

  async getAccount(): Promise<void> {
    try {
      this.messageService.add("Trying to load accounts")
      this.accounts = await this.accountService.getAccounts()
      this.messageService.add("Accounts loaded")
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  async ngOnInit(): Promise<void> {
    await this.getAccount()
  }

}
